BizKitHub
DocsAPI ReferenceWarehouse/bff/warehouse/stock/outbound
postWarehouseAdmin BFF

/bff/warehouse/stock/outbound

Outbound (vyskladnění)

WarehousepostBffWarehouseStockOutbound

Parameters

JSON body

Request body

application/json
sourceWarehouseIdnumberRequired
sourceLocationIdnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
productCodestring | nullOptional

Human-readable product code (mutually exclusive with virtualItemSku).

One of 2:
Variant 1
string
Length: 064
Variant 2
null
productVariantCodestring | nullOptional

Variant code, requires productCode.

One of 2:
Variant 1
string
Length: 064
Variant 2
null
virtualItemSkustring | nullOptional

Free-form virtual SKU for non-catalogue items.

One of 2:
Variant 1
string
Length: 0100
Variant 2
null
quantitynumberRequired
Range: 1
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
performedByMemberIdnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
movementIdnumberRequired
newQuantitynumberRequired

Response example

application/json
{
  "success": false,
  "movementId": 0,
  "newQuantity": 0
}

Request example

POST /bff/warehouse/stock/outbound

post
curl -X POST "https://api.bizkithub.com/bff/warehouse/stock/outbound" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "sourceWarehouseId": 0,
  "quantity": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key